#ifndef RECETTEDIALOG_H
#define RECETTEDIALOG_H

#include <QtCore>
#include <QtGui>
#include <QtSql>

#include "ui_recettedialog.h"
#include "modifierrecette.h"

class QDialog;
class modifierrecette;


class recettedialog : public QWidget, public Ui::RecetteDialog
{
Q_OBJECT
public:
recettedialog();
QSqlDatabase m_db1;
QSqlDatabase m_db2;

QSqlQueryModel *m_model;

QStringList m_usernames;
QStringList m_textes;
QStringList m_listelogin;

modifierrecette *m_modifrecette;

//QProgressBar *progressbar;
//QProgressBar *progressbar2;
double m_sommeentree;
int m_nbredos;
int m_idusr;
int m_id;
int m_ida;
QString m_entreelibre;
QString m_str;
QString m_nomprenom;
QString m_guiddrtux;
QString m_date;
QString m_acteautre;
QString m_guid;
QString m_loginpref;
QString m_login;
QString m_praticien;
QString m_executedquery;
QString enregistrement(QSqlQuery &);
protected :
void message_libre();
signals:
//void pressed();
//void activated();

protected slots:
void enregistrece();
void enregistreautreacte();
void fermer();
void fermer2();
void modifierrecettes();
void on_lineEdit_textChanged();

};

#endif
